Bug 556308

Summary: Review Request: paratype-pt-sans-fonts - A pan-Cyrillic typeface
Product: [Fedora] Fedora Reporter: Nicolas Mailhot <nicolas.mailhot>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bochecha, fedora-package-review, fonts-bugs, i18n-bugs, notting, petersen
Target Milestone: ---Flags: bochecha: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: paratype-pt-sans-fonts-20100112-2.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-18 17:26:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nicolas Mailhot 2010-01-17 15:10:05 EST

    
Comment 1 Nicolas Mailhot 2010-01-17 15:13:14 EST
SRPM URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=1928487

Description:
The PT Sans family was developed as part of the “Public Types of Russian Federation” project. This project aims at enabling the peoples of Russia to read and write their native languages, using free/libre fonts. It is dedicated to the 300-year anniversary of the Russian civil type invented by Peter the Great from 1708 to 1710, and was realized with financial support from the Russian Federal Agency for Press and Mass Communications.

The fonts include support for all 54 title¹ languages of the Russian Federation as well as more common Western, Central European and Cyrillic blocks making them unique and a very important tool for modern digital communications.

PT Sans is a grotesque font based on Russian type designs of the second part of the 20th century. However, it also includes very distinctive features of modern humanistic design, fulfilling present day aesthetic and functional requirements.

It was designed by Alexandra Korolkova, Olga Umpeleva and Vladimir Yefimov and released by ParaType.

¹ A “title” language is named after an ethnic group.

See also:
http://fedoraproject.org/wiki/Paratype_PT_Sans_fonts
Comment 2 Nicolas Mailhot 2010-02-01 04:02:53 EST
Probably the only existing font set with 100% cyrillic coverage (and people complain DejaVu & Liberation cyrillic are poor).

(very good article in Russian about the font linked from its main page)

=> candidate for default install in F13 ?

=> CC-ing i18n
Comment 3 Jens Petersen 2010-02-02 11:45:49 EST
Thanks for the headsup - it looks pretty interesting.
Comment 4 Nicolas Mailhot 2010-02-13 05:50:37 EST
Since koji garbage-collected

http://nim.fedorapeople.org/paratype-pt-sans-fonts-20100112-1.fc13.src.rpm
Comment 5 Mathieu Bridon 2010-02-13 09:40:54 EST
First, one cosmetic nitpick:
$ rpm -qivp SRPMS/paratype-pt-sans-fonts-20100112-1.fc12.src.rpm 
[snip]
This package includes the four basic styles and two narrows styles for \
economic setting.

Could you make the backslash go away?

Also, you define the « archivename » macro at the beginning of the spec but never actually use it. Can you remove it? (or use it?)

Now, to the actual review.

+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/paratype-pt-sans-*
paratype-pt-sans-caption-fonts.noarch: W: invalid-license PTFL
paratype-pt-sans-caption-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/paratype-pt-sans-caption-fonts-20100112/PT Free Font License_eng.txt
paratype-pt-sans-caption-fonts.noarch: W: file-not-utf8 /usr/share/doc/paratype-pt-sans-caption-fonts-20100112/PT Free Font License_eng.txt
paratype-pt-sans-fonts.noarch: W: invalid-license PTFL
paratype-pt-sans-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/paratype-pt-sans-fonts-20100112/PT Free Font License_eng.txt
paratype-pt-sans-fonts.noarch: W: file-not-utf8 /usr/share/doc/paratype-pt-sans-fonts-20100112/PT Free Font License_eng.txt
paratype-pt-sans-fonts.src: W: macro-in-%description %_font_pkg
paratype-pt-sans-fonts.src: W: invalid-license PTFL
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
  => license is listed in the Fedora good licenses, so those 3 warnings can safely be ignored
    => I just opened #564585 to request that it is accepted by rpmlint
  => the 2 wrong-file-end-of-line-encoding can safely be ignored I'd say (license text probably written under Windows)
  => the 2 file-not-utf8 can be ignored as well (same as above)
  => the macro-in-%description can be ignored as the macro is properly expanded at SRPM-build time, even with --nodeps
  
IMHO, it would be nice to run iconv and dos2unix to remove the warnings, but those are not really important.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
  => PTFL

[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
  => First one is the one I got from the URL in the spec file, second one is from the SRPM.
$ sha1sum PTSans.zip 
d812b275f2b13e59a69671785b53a4eb5805c561  PTSans.zip
$ sha1sum SOURCES/PTSans.zip 
f72ab3c42157ef81f7398b641213851f77e2deec  SOURCES/PTSans.zip

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.
  => not applicable

[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
  => not applicable

[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.

This package is not approved as the source archives don't match.
Comment 6 Nicolas Mailhot 2010-02-13 11:17:10 EST
(In reply to comment #5)
> First, one cosmetic nitpick:
> $ rpm -qivp SRPMS/paratype-pt-sans-fonts-20100112-1.fc12.src.rpm 
> [snip]
> This package includes the four basic styles and two narrows styles for \
> economic setting.
> 
> Could you make the backslash go away?

Stupid mistake, sorry about it, fixed
 
 
> +:ok, =:needs attention, -:needs fixing
> 
> MUST Items:
> [+] MUST: rpmlint must be run on every package.
> $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/paratype-pt-sans-*
> paratype-pt-sans-caption-fonts.noarch: W: invalid-license PTFL

rpmlint is not up-to-date, PTFL is on the official Fedora license list
http://fedoraproject.org/wiki/Legal_considerations_for_fonts#Approved_font_licenses

> paratype-pt-sans-caption-fonts.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/paratype-pt-sans-caption-fonts-20100112/PT Free Font
> License_eng.txt
> paratype-pt-sans-caption-fonts.noarch: W: file-not-utf8
> /usr/share/doc/paratype-pt-sans-caption-fonts-20100112/PT Free Font
> License_eng.txt

Missed it with all the stupid spellchecking warnings, fixed

(sorry about it, I'm usually better than that)

> paratype-pt-sans-fonts.src: W: macro-in-%description %_font_pkg

This is a bug in rpmlint & rpmbuild


> [-] MUST: The sources used to build the package must match the upstream source,
> as provided in the spec URL.
>   => First one is the one I got from the URL in the spec file, second one is
> from the SRPM.
> $ sha1sum PTSans.zip 
> d812b275f2b13e59a69671785b53a4eb5805c561  PTSans.zip
> $ sha1sum SOURCES/PTSans.zip 
> f72ab3c42157ef81f7398b641213851f77e2deec  SOURCES/PTSans.zip

Upstream probably did the usual in-place archive update (very common for fonts), I'll use the new version.

> This package is not approved as the source archives don't match.    

Fixed
http://nim.fedorapeople.org/paratype-pt-sans-fonts-20100112-2.fc13.src.rpm
Comment 7 Mathieu Bridon 2010-02-13 12:28:46 EST
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
$ sha1sum PTSans.zip 
d812b275f2b13e59a69671785b53a4eb5805c561  PTSans.zip

I diffed the new spec file with the previous one, no changes but what was asked here.

This package is now APPROVED.
Comment 8 Nicolas Mailhot 2010-02-13 12:41:17 EST
Thanks a lot for the review! (esp. since I had missed a few problems)

New Package CVS Request
=======================
Package Name: paratype-pt-sans-fonts
Short Description: A pan-Cyrillic typeface
Owners: nim
Branches: devel, F11, F12
InitialCC: fonts-sig
Comment 9 Kevin Fenzi 2010-02-15 22:47:49 EST
CVS done (by process-cvs-requests.py).
Comment 10 Fedora Update System 2010-02-17 02:00:16 EST
paratype-pt-sans-fonts-20100112-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/paratype-pt-sans-fonts-20100112-2.fc12
Comment 11 Fedora Update System 2010-02-17 02:00:22 EST
paratype-pt-sans-fonts-20100112-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/paratype-pt-sans-fonts-20100112-2.fc13
Comment 12 Fedora Update System 2010-02-17 02:00:27 EST
paratype-pt-sans-fonts-20100112-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/paratype-pt-sans-fonts-20100112-2.fc11
Comment 13 Fedora Update System 2010-02-18 17:26:06 EST
paratype-pt-sans-fonts-20100112-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-02-18 17:28:28 EST
paratype-pt-sans-fonts-20100112-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-02-18 17:37:43 EST
paratype-pt-sans-fonts-20100112-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.